## clone 後設定流程

1. `cp .env.example .env`
    - 設定 DB env
    - (optional) 設定 AWS env
2. `php artisan key:generate`
3. `composer install`
    - 已預設 packages:
        
        
        | name | version |
        | --- | --- |
        | league/flysystem-aws-s3-v3 | ^1.0 |
4. `php artisan migrate --seed`
    - 後台權限相關資料庫 & 資料建立
    - 查閱後台登入帳密 ⇒ database\seeders\UserSeeder.php

## 撰寫時注意

1. API 寫在「routes\api.php」
2. API 統一回傳格式:「app\Http\Controllers\Api\ApiController.php」
3. API Exceptions 統一回傳格式:「app\Exceptions\Handler.php」
4. Validation 使用 **[Form Request Validation](https://laravel.com/docs/validation#form-request-validation)**
5. 基本的後台相關資料已建立，可以直接登入
    - 權限資料(Database、Migration、Seeder)
    - 後台畫面(View、View Composer、CSS、jQuery)
    - 後端資料(Route、Controller、Model)